# 项目相关配置
cpop:
  # 文件路径 示例（ Windows配置W:/WorkSpace/java/uploadPath，Linux配置 /home/baseFramework/uploadPath）
  profile: E:/Cpop/uploadPath
  jwt:
    #白名单
    white-list: /profile/**,/backstage/login,/doc.html,/webjars/**,/favicon.ico,/v3/api-docs/**,/swagger-ui.html,/swagger-ui/**,/sysCommon/miniSyncBrandAndStore,/easyLearn/callback/*/*,/easyLearn/*,/mini/cardTemplate/*,/website/**,/backstage/wxCp/*,/callback/wxCp/*/registerCode,/callback/easyLearn/**,/cloudCallback/*,/mini/summit/*
  gateway:
    rsa-keypair:
      # 公钥文件
      publicKeyFile: E:\Cpop\Cpop-Union\Cpop-Core\src\main\resources\static\keyPair\publicKey
      # 公钥文件
      privateKeyFile: E:\Cpop\Cpop-Union\Cpop-Core\src\main\resources\static\keyPair\privateKey

# DataSource Config
spring:
  application:
    name: Cpop-Oam-Dev
  data:
    #redis配置
    redis:
      #地址
      host: gz-crs-lv77ii2t.sql.tencentcdb.com
      #端口
      port: 27714
      #数据库
      database: 1
      #密码
      password: Cpop2022@
      #连接超时
      timeout: 5000
      jedis:
        pool:
          min-idle: 0
          max-idle: 16
          max-active: 16
          max-wait: -1ms
      client-type: jedis

server:
  port: 9420
  servlet:
    context-path: /Cpop-Oam

# mongo-plus
mongo-plus:
  data:
    mongodb:
      #ip
      host: 1panel.cpopsz.com
      #端口
      port: 27017
      #数据库名
      database: cpop_dev
      #用户名，没有可不填（若账号中出现@,!等等符号，不需要再进行转码！！！）
      username: mongo_kBXjhm
      #密码，同上（若密码中出现@,!等等符号，不需要再进行转码！！！）
      password: mongo_7RF4Zj
      #验证数据库 admin
      authentication-database: admin
      connect-timeout-m-s: 50000

#Mybatis-Flex
mybatis-flex:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  datasource:
    oam:
      url: jdbc:mysql://bj-cynosdbmysql-grp-anccz88g.sql.tencentcdb.com:24808/cpop_dev?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: cpop_dev
      password: Ch5WkZRsCATsnMXw
    jambox:
      url: jdbc:mysql://sh-cynosdbmysql-grp-fggo83js.sql.tencentcdb.com:20965/jambox_test?useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
      username: root
      password: Customer0401

# springdoc-openapi项目配置
springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  group-configs:
    - group: '系统后台'
      paths-to-match: '/**'
      packages-to-scan: com.cpop.oam.business.controller.backstage
# knife4j的增强配置，不需要增强可以不配
knife4j:
  enable: true
  setting:
    language: zh_cn